.. AUTO-GENERATED FILE. DO NOT EDIT. /one-sessions-delete-one ======================== Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``3270463a2e6a5d905ceae779f9a588fdde3cef87`` - **Source run id:** ``25887986290`` - **Lambda function:** ``jef-one-sessions-delete-one`` - **HTTP method:** ``DELETE`` - **API path:** ``/one-sessions-delete-one`` - **Endpoint URL:** ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-delete-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-one-sessions-delete-one - ``Module``: jef-one - ``Action``: delete-one - ``Method``: DELETE - ``Invocation Mode``: ASYNC - ``Resource Path``: /one-sessions-delete-one - ``Table``: jef-one-sessions - ``Primary Key``: session\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``session\_id``: 4dc84733-ce2a-461b-8017-4e77b3f99a66 Payload Schema -------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.session_id.type", "value": "S" }, { "key": "root.attributes.session_id.required", "value": "True" }, { "key": "root.attributes.session_id.format", "value": "uuidv4" }, { "key": "root.attributes.session_id.regex", "value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$" } ] Response Schema --------------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] Request Payload --------------- .. code-block:: json [ { "key": "session_id", "value": "4dc84733-ce2a-461b-8017-4e77b3f99a66" } ] Response -------- .. code-block:: json [ { "key": "root.type", "value": "M" }, { "key": "root.required", "value": "True" }, { "key": "root.attributes.is_accepted.type", "value": "BOOL" }, { "key": "root.attributes.is_accepted.required", "value": "True" }, { "key": "root.attributes.message.type", "value": "S" }, { "key": "root.attributes.message.required", "value": "True" }, { "key": "root.attributes.request_id.type", "value": "S" }, { "key": "root.attributes.request_id.required", "value": "False" } ] CMD curl -------- .. code-block:: bat curl -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-delete-one" -H "Content-Type: application/json" --data-raw "{\"session_id\": \"4dc84733-ce2a-461b-8017-4e77b3f99a66\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-delete-one" -H "Content-Type: application/json" --data-raw '{"session_id": "4dc84733-ce2a-461b-8017-4e77b3f99a66"}'